curl --request PUT \
--url https://api.sandbox.asapp.com/configuration/v1/structured-data-fields/{structuredDataFieldId} \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"name": "Promotion was offered",
"categoryId": "OUTCOME",
"type": "QUESTION",
"question": {
"question": "Did the agent offer the correct promotion?"
},
"active": true
}
'import requests
url = "https://api.sandbox.asapp.com/configuration/v1/structured-data-fields/{structuredDataFieldId}"
payload = {
"name": "Promotion was offered",
"categoryId": "OUTCOME",
"type": "QUESTION",
"question": { "question": "Did the agent offer the correct promotion?" },
"active": True
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Promotion was offered',
categoryId: 'OUTCOME',
type: 'QUESTION',
question: {question: 'Did the agent offer the correct promotion?'},
active: true
})
};
fetch('https://api.sandbox.asapp.com/configuration/v1/structured-data-fields/{structuredDataFieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "q_promotion_was_offered",
"name": "Promotion was offered",
"categoryId": "OUTCOME",
"type": "QUESTION",
"question": {
"question": "Did the agent offer the correct promotion?"
},
"active": true
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}Update a structured data field
Update a specific structured data field specifying the id
Path Parameters
Identifier of the structured data field
Body
- Option 1
- Option 2
Update a structured data field
The name of the structured data field
"Promotion was offered"
The category id assigned
"OUTCOME"
The type of the object
"QUESTION"
Indicates if the structured data is active or not
false
Show child attributes
Show child attributes
The segment ids that the structured data field is associated with
Response
Successfully updated the structured data field.
- Question
- Entity
The id of the structured data field
"q_promotion_was_offered"
The name of the structured data field
"Promotion was offered"
The category of the structured data field. Possible values:
- OUTCOME
"OUTCOME"
The type of the structured data field. Must be either:
- QUESTION
- ENTITY
"QUESTION"
Indicates if the structured data is active or not.
false
Show child attributes
Show child attributes
The segment ids that the structured data field is associated with
Was this page helpful?